Page 1 of 1

Best way to upgrade from cubase 9.5 to 10.5

Posted: Fri Nov 15, 2019 11:00 pm
by bill45
Should I uninstall 9.5 first or just run the 10.5 full update installer?
9.5 and 10.5 are close enough, that it does not make sense to have both on disk.
Trying to save disk space.
Thanks, Bill

Re: Best way to upgrade from cubase 9.5 to 10.5

Posted: Sat Nov 16, 2019 12:16 am
by jaslan
Just install 10.5 and you only need to update the license in eLCC.

Re: Best way to upgrade from cubase 9.5 to 10.5

Posted: Sat Nov 16, 2019 12:37 am
by bill45
Thanks, the license is already updated in eLCC.
I hope it does not install a second copy of halion sonic se

Re: Best way to upgrade from cubase 9.5 to 10.5

Posted: Sat Nov 16, 2019 1:38 am
by telecode
i just installed 10.5 alongside 9.5 . no issues. if you can spare the disk space. it replaced and updated padshop in both vers. i have a feeling it also upgraded halion and retrologue in both, but i cant remember for sure. i dont really use them.

Re: Best way to upgrade from cubase 9.5 to 10.5

Posted: Sat Nov 16, 2019 6:31 am
by bill45
Thanks

Re: Best way to upgrade from cubase 9.5 to 10.5

Posted: Sat Nov 16, 2019 3:15 pm
by drmq
Careful when you upgrade, if you open a project with 9.5 it will show these warnings:
The plug-in "EQ" could not be found for Insert 3 Channel "InputChannel"!
The plug-in "Standard Compressor" could not be found for Insert 2 Channel "VSTOutputChannel"!
The plug-in "EQ" could not be found for Insert 3 Channel "VSTOutputChannel"!
The plug-in "Maximizer" could not be found for Insert 6 Channel "VSTOutputChannel"!
The plug-in "EQ" could not be found for Insert 3 Channel "VSTOutputChannel"!
The plug-in "EQ" could not be found for Insert 3 Channel "Synth"!
The plug-in "StereoEnhancer" could not be found for Insert 7 Channel "Synth"!
The plug-in "Noise Gate" could not be found for Insert 1 Channel "Synth"!
I'm not sure what it means but it looks like the old EQ, Maximizer, StereoEnhancer plugins are not backwards compatible and will not allow you to work with Cubae 9.5 anymore.